Index: api/autocomplete/autocomplete.php
===================================================================
--- api/autocomplete/autocomplete.php	(revision 2)
+++ api/autocomplete/autocomplete.php	(revision 3)
@@ -20,8 +20,7 @@
   $module_smarty = new Smarty;
   $module_smarty->assign('language', $_SESSION['language']);
   
-  if (isset($_POST['queryString'])) {
-    
+  if (isset($_POST['queryString'])) {   
     $from_str = $where_str = '';
     
     $queryString = stripslashes(trim(decode_utf8(urldecode($_POST['queryString']))));    
@@ -30,7 +29,7 @@
 
     // create $search_keywords array
     $keywordcheck = xtc_parse_search_string($queryString, $search_keywords);
-        
+
     if ($keywordcheck === true && mb_strlen($queryString, $_SESSION['language_charset']) >= SEARCH_AC_MIN_LENGTH) {
       
       $from_str .= SEARCH_IN_ATTR == 'true' ? " LEFT OUTER JOIN ".TABLE_PRODUCTS_ATTRIBUTES." AS pa ON (p.products_id = pa.products_id) 
@@ -76,7 +75,20 @@
                                    GROUP BY p.products_id 
                                    ORDER BY p.products_id ASC
                                       LIMIT ".MAX_DISPLAY_ADVANCED_SEARCH_RESULTS;
-      
+                                      
+      # Modul Kategorie-Keywords: Ergänzung relevanter Artikel IDs                                
+      if(defined('MODULE_CATEGORY_KEYWORDS_STATUS') 
+         && MODULE_CATEGORY_KEYWORDS_STATUS == 'True'){          
+           require_once (DIR_WS_INCLUDES.'extra/default/listing_sql/category_keywords.php'); 
+           # Ergänzung relevanter Artikel IDs 
+           if(isset($arr_included_products)){
+              $autocomplete_search_query = str_replace("AND (  (", "AND (  ( p.products_id IN (".join($arr_included_products, ",") . ") OR ", $autocomplete_search_query);  
+           }   
+           # Ergänzung relevanter Kategorien 
+           if(count($categories_keyword_content) > 0) {  
+                  $module_smarty->assign('categories_content', $categories_keyword_content);
+           }  
+      }
       $autocomplete_search_query = xtc_db_query($autocomplete_search_query);                      
       if (xtc_db_num_rows($autocomplete_search_query) > 0) {
         $module_content = array();
Index: templates/tpl_modified/lang/lang_english.custom
===================================================================
--- templates/tpl_modified/lang/lang_english.custom	(revision 2)
+++ templates/tpl_modified/lang/lang_english.custom	(revision 3)
@@ -12,7 +12,7 @@
 last = 'last &raquo;'
 
 heading_miscellaneous = 'Payment methods'
-text_miscellaneous = 'Die Box kann unter tpl_modified/boxes/box_miscellaneous.html ver&auml;ndert werden. Die Sprachvariablen befinden sich in der Datei tpl_modified/lang/german/lang_german.custom.'
+text_miscellaneous = 'Die Box kann unter tpl_modified_responsive/boxes/box_miscellaneous.html ver&auml;ndert werden. Die Sprachvariablen befinden sich in der Datei tpl_modified_responsive/lang/german/lang_german.custom.'
 
 ab_admin = 'Adminarea'
 ab_orders = 'Orders'
@@ -42,4 +42,8 @@
 text_search_again = 'Sorry, we could not find a product matching your search request'
 
 listing_listview = 'List view'
-listing_boxview = 'Box view'
\ No newline at end of file
+listing_boxview = 'Box view'
+header_menu = 'Menu'
+
+# Modul Kategorie-Keywords
+heading_keyword_categories = 'was found in following categories:'
\ No newline at end of file
Index: templates/tpl_modified/lang/lang_german.custom
===================================================================
--- templates/tpl_modified/lang/lang_german.custom	(revision 2)
+++ templates/tpl_modified/lang/lang_german.custom	(revision 3)
@@ -12,7 +12,7 @@
 last = 'Letzter &raquo;'
 
 heading_miscellaneous = 'Zahlungsmethoden'
-text_miscellaneous = 'Die Box kann unter tpl_modified/boxes/box_miscellaneous.html ver&auml;ndert werden. Die Sprachvariablen befinden sich in der Datei tpl_modified/lang/german/lang_german.custom.'
+text_miscellaneous = 'Die Box kann unter tpl_modified_responsive/boxes/box_miscellaneous.html ver&auml;ndert werden. Die Sprachvariablen befinden sich in der Datei tpl_modified_responsive/lang/german/lang_german.custom.'
 
 ab_admin = 'Adminbereich'
 ab_orders = 'Bestellungen'
@@ -42,4 +42,8 @@
 text_search_again = 'Die Suche ergab keine genauen Treffer'
 
 listing_listview = 'Listenansicht'
-listing_boxview = 'Boxansicht'
\ No newline at end of file
+listing_boxview = 'Boxansicht'
+header_menu = 'Men&uuml;'
+
+# Modul Kategorie-Keywords
+heading_keyword_categories = 'gefunden in folgenden Kategorien:'
\ No newline at end of file
Index: templates/tpl_modified/module/autocomplete.html
===================================================================
--- templates/tpl_modified/module/autocomplete.html	(revision 2)
+++ templates/tpl_modified/module/autocomplete.html	(revision 3)
@@ -24,7 +24,21 @@
           </span>
         </a>
       </li>
-    {/foreach}            
+    {/foreach}
+    
+    {* Modul Kategorie-Keywords *}
+    {foreach name=aussen item=categories_data from=$categories_content key=spalten}
+      <li class="cf autocomplete_content">
+        <a class="autocomplete cf" href="{$categories_data.CATEGORIES_LINK}">
+          {if $categories_data.CATEGORIES_IMAGE}
+            <span class="autocomplete_image cf"><img src="{$categories_data.CATEGORIES_IMAGE}" alt="{$categories_data.CATEGORIES_NAME|onlytext}" title="{$categories_data.CATEGORIES_NAME|onlytext}" /></span>
+          {else}
+            <span class="autocomplete_image cf">&nbsp;</span>
+          {/if}
+          <span class="hl_text" style="width:145px;">{$categories_data.CATEGORIES_NAME}</span>
+        </a>
+      </li>
+    {/foreach}
   </ul>
   
   <ul id="autocomplete_pagination" class="cf">
Index: templates/tpl_modified/module/sub_categories_listing.html
===================================================================
--- templates/tpl_modified/module/sub_categories_listing.html	(revision 2)
+++ templates/tpl_modified/module/sub_categories_listing.html	(revision 3)
@@ -2,7 +2,10 @@
 {config_load file="lang_`$language`.custom"}
 {config_load file="lang_`$language`.section" section="categorie_listing"}
 {if isset($categories_content) && $categories_content != '' && $TR_COLS > 0}
-<h4>{#heading_more_categories#}</h4>
+
+{* Modul Kategorie-Keywords *}
+<h4>{if $KEYWORD_RESULT}{#heading_keyword_categories#}{else}{#heading_more_categories#}{/if}</h4>
+
 <div class="subcats cf">
   {foreach name=aussen item=categories_data from=$categories_content key=spalten}
   <div class="subcatlist{if $smarty.foreach.aussen.iteration is div by $TR_COLS} last{/if}">
Index: templates/tpl_modified_responsive/lang/lang_english.custom
===================================================================
--- templates/tpl_modified_responsive/lang/lang_english.custom	(revision 2)
+++ templates/tpl_modified_responsive/lang/lang_english.custom	(revision 3)
@@ -43,4 +43,7 @@
 
 listing_listview = 'List view'
 listing_boxview = 'Box view'
-header_menu = 'Menu'
\ No newline at end of file
+header_menu = 'Menu'
+
+# Modul Kategorie-Keywords
+heading_keyword_categories = 'was found in following categories:'
\ No newline at end of file
Index: templates/tpl_modified_responsive/lang/lang_german.custom
===================================================================
--- templates/tpl_modified_responsive/lang/lang_german.custom	(revision 2)
+++ templates/tpl_modified_responsive/lang/lang_german.custom	(revision 3)
@@ -43,4 +43,7 @@
 
 listing_listview = 'Listenansicht'
 listing_boxview = 'Boxansicht'
-header_menu = 'Men&uuml;'
\ No newline at end of file
+header_menu = 'Men&uuml;'
+
+# Modul Kategorie-Keywords
+heading_keyword_categories = 'gefunden in folgenden Kategorien:'
\ No newline at end of file
Index: templates/tpl_modified_responsive/module/autocomplete.html
===================================================================
--- templates/tpl_modified_responsive/module/autocomplete.html	(revision 2)
+++ templates/tpl_modified_responsive/module/autocomplete.html	(revision 3)
@@ -31,6 +31,22 @@
         </a>
       </li>
     {/foreach}
+    {* Modul Kategorie-Keywords *}
+    {foreach name=aussen item=categories_data from=$categories_content key=spalten}
+        <li class="cf autocomplete_content">
+          <a class="autocomplete cf" href="{$categories_data.CATEGORIES_LINK}">
+             {if $categories_data.CATEGORIES_IMAGE != '' || (isset($categories_data.CATEGORIES_IMAGE_LIST) && $categories_data.CATEGORIES_IMAGE_LIST != '')}
+              <span class="autocomplete_image cf">                                 
+                  <img class="lazyload" data-src="{$categories_data.CATEGORIES_IMAGE}" alt="{$categories_data.CATEGORIES_NAME|onlytext}" title="{$categories_data.CATEGORIES_NAME|onlytext}" />
+              </span>
+            {else}
+              <span class="autocomplete_image cf">&nbsp;</span>
+            {/if}
+            <span class="ac_text">{$categories_data.CATEGORIES_NAME}</span>
+          </a>
+        </li>
+    {/foreach}
+      
   </ul>
   
   <ul id="autocomplete_pagination" class="cf">
Index: templates/tpl_modified_responsive/module/sub_categories_listing.html
===================================================================
--- templates/tpl_modified_responsive/module/sub_categories_listing.html	(revision 2)
+++ templates/tpl_modified_responsive/module/sub_categories_listing.html	(revision 3)
@@ -2,7 +2,10 @@
 {config_load file="lang_`$language`.custom"}
 {config_load file="lang_`$language`.section" section="categorie_listing"}
 {if isset($categories_content) && $categories_content != '' && $TR_COLS > 0}
-<h4>{#heading_more_categories#}</h4>
+
+{* Modul Kategorie-Keywords *}
+<h4>{if $KEYWORD_RESULT}{#heading_keyword_categories#}{else}{#heading_more_categories#}{/if}</h4>
+
 <div class="subcats cf">
   {foreach name=aussen item=categories_data from=$categories_content key=spalten}
   <div class="subcatlist">
